/* TiniSyslog - Syslog Client for TINI
 * Copyright(C) 2002  Yuichi Kobayashi <kobayasy@kobayasy.com>
 *
 * This program comes with NO WARRANTY, to the extent permitted by law.
 * You may redistribute it under the terms of the GNU General Public License;
 * see the file named LICENSE.txt for details.
 */

package com.kobayasy.tini;
import java.io.*;
import java.net.*;

/**
 * Syslog Client for TINI
 *
 * @version 20021022
 * @author  Yuichi Kobayashi &lt;kobayasy@kobayasy.com&gt;
 */
public class TiniSyslog {
  private InetAddress host;
  private int port;
  private DatagramSocket socket;
  private String prefix = null;
  public TiniSyslog(String host, int port)
   throws UnknownHostException, SocketException {
    this.host = InetAddress.getByName(host);
    this.port = port;
    socket = new DatagramSocket();
  }
  public void setPrefix(String prefix) {
    this.prefix = prefix;
  }
  public void sendMessage(String message) {
    if(prefix != null)
      message = prefix + ": " + message;
    byte[] buffer = message.getBytes();
    try {
      socket.send(new DatagramPacket(buffer, buffer.length, host, port));
    } catch(IOException e) {
    }
  }
  public void close() {
    socket.close();
  }
}
